[API]
Public SHFILEOPSTRUCT
SHFileOperationA
SHFileOperationW

[INCLUDE]
LocalAllocFromString

[CODE]
Public Function SHFileOperation(lpFileOp As SHFILEOPSTRUCT) As Long
  lpFileOp.Reserved_pFrom = LocalAllocFromString(lpFileOp.From)
  If Not lpFileOp.Reserved_pFrom = 0& Then
    If IsUnicode Then
      SHFileOperation = SHFileOperationW(lpFileOp)
      Else
      SHFileOperation = SHFileOperationA(lpFileOp)
      End If
    LocalFree lpFileOp.Reserved_pFrom
    End If
  End Function
